SoTextureCoordinateNormalMap(3)

NAME
SoTextureCoordinateNormalMap - The SoTextureCoordinateNormalMap class generates texture coordinates by projecting onto a surrounding texture.

SYNOPSIS

#include <Inventor/nodes/SoTextureCoordinateNormalMap.h>

Inherits SoTextureCoordinateFunction.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextureCoordinateNormalMap (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void pick (SoPickAction *action)
virtual void callback (SoCallbackAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTextureCoordinateNormalMap ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTextureCoordinateNormalMap class generates texture coordinates by projecting onto a surrounding texture. The texture specifying the environment will be mapped around the scene graph below this node using a sphere. The texture will be mapped onto the scene graph taking camera position into account. This will lead to an object reflecting its environment.

Here is a scene graph example showing how environment mapping can be applied to an object:

#Inventor V2.1 ascii
Separator {
  Texture2 {
    filename "ocean.jpg" # the environment, in this case ocean
  }
  TextureCoordinateNormalMap {}
  Cube {} # the environmentally mapped object
}

FILE FORMAT/DEFAULTS:

TextureCoordinateNormalMap {
}

Constructor & Destructor Documentation

  SoTextureCoordinateNormalMap::SoTextureCoordinateNormalMap (void)
Constructor.

  SoTextureCoordinateNormalMap::~SoTextureCoordinateNormalMap () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureCoordinateNormalMap::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTextureCoordinateNormalMap::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoTextureCoordinateFunction.

  const SoFieldData ** SoTextureCoordinateNormalMap::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTextureCoordinateNormalMap::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoTextureCoordinateFunction.

  void SoTextureCoordinateNormalMap::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTextureCoordinateNormalMap::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTextureCoordinateNormalMap::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoTextureCoordinateNormalMap::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

Author

Generated automatically by Doxygen for Coin from the source code.